
// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// IDLInt32 interface. See IDLByte.h for more info.
//
// jhrg 1/12/95

// $Log: IDLInt32.h,v $
// Revision 1.2  1999/11/09 05:57:11  jimg
// Result of merge with release-3-1-1
//
// Revision 1.1.2.1  1999/09/23 23:06:29  jimg
// This collection of files builds under Solaris 2.6. The resulting idl_dods.so
// runs correctly on the fnoc1.nc test dataset.
//

#ifndef _IDLInt32_h
#define _IDLInt32_h 1

#ifdef __GNUG__
#pragma interface
#endif

#include "Int32.h"

class IDLInt32: public Int32 {
public:
    IDLInt32(const string &n = (char *)0);
    virtual ~IDLInt32() {}

    virtual BaseType *ptr_duplicate();
    
    virtual bool read(const string &dataset, int &error);
    
#if 0
    virtual void print_val(ostream &os, string space = "", 
			   bool print_decl_p = true);
#endif
};

#endif

