
// -*- C++ -*-

// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// Interface for the class IDLStructure. See IDLByte.h
//
// jhrg 1/12/95

// $Log: IDLStructure.h,v $
// Revision 1.2  1999/11/09 05:57:13  jimg
// Result of merge with release-3-1-1
//
// Revision 1.1.2.1  1999/09/23 23:06:32  jimg
// This collection of files builds under Solaris 2.6. The resulting idl_dods.so
// runs correctly on the fnoc1.nc test dataset.
//

#ifndef _IDLStructure_h
#define _IDLStructure_h 1

#ifdef _GNUG_
#pragma interface
#endif

#include "Structure.h"

class IDLStructure: public Structure {
public:
    IDLStructure(const string &n = (char *)0);
    virtual ~IDLStructure();

    virtual BaseType *ptr_duplicate();

    virtual bool read(const string &dataset, int &error);

#if 0
    virtual void print_val(ostream &os, string space = "", 
			   bool print_decl_p = true);

    virtual void print_all_vals(ostream &os, XDR *src, DDS *dds, 
				string space = "", bool print_decl_p = true);
#endif
};

#endif
