
// (c) COPYRIGHT URI/MIT 1999
// Please read the full copyright statement in the file COPYRIGHT.
//
// Authors:
//      jhrg,jimg       James Gallagher (jgallagher@gso.uri.edu)

// Implementation for IDLFloat32. See IDLByte.cc
//
// 3/29/99 jhrg

// $Log: IDLFloat32.cc,v $
// Revision 1.3  2000/07/09 22:17:51  rmorris
// Include use <header> instead of <header.h> for headers in the standard
// c++ library - this increases portability.
//
// Revision 1.2  1999/11/09 05:57:10  jimg
// Result of merge with release-3-1-1
//
// Revision 1.1.2.1  1999/09/23 23:06:26  jimg
// This collection of files builds under Solaris 2.6. The resulting idl_dods.so
// runs correctly on the fnoc1.nc test dataset.
//

#ifdef __GNUG__
#pragma implementation
#endif

#include <assert.h>
#if 0
#include <iostream>
#include <iomanip>
#endif

#include <string>

#if 0
#include "dods-limits.h"
#endif
#include "IDLFloat32.h"
#if 0
#include "name_map.h"
#endif

#if 0
extern name_map names;
extern bool translate;
extern bool ascii;
#endif

Float32 *
NewFloat32(const string &n)
{
    return new IDLFloat32(n);
}

IDLFloat32::IDLFloat32(const string &n) : Float32(n)
{
}

BaseType *
IDLFloat32::ptr_duplicate()
{
    return new IDLFloat32(*this);
}
 
bool
IDLFloat32::read(const string &, int &)
{
    assert(false);
    return false;
}

#if 0
void 
IDLFloat32::print_val(ostream &os, string, bool print_decl_p)
{
    os.precision(DODS_FLT_DIG);

    if (print_decl_p)
	os << type_name() << endl << names.lookup(name(), translate) << endl;

    if (translate) {
	dods_float64 df = _buf;
	if (ascii)
	    os << df << " ";
	else
	    os.write((void *)&df, sizeof(dods_float64));
    }
    else {
	if (ascii)
	    os << _buf << " ";
	else
	    os.write((void *)&_buf, sizeof(dods_float32));
    }
}
#endif
